package org.ginf.schemas;

import org.ginf.*;
import org.ginf.helpers.*;
import org.w3c.rdf.*;
import org.xml.sax.*;
import java.io.*;

/**
 * This class provides handy access to schema information.
 * THIS FILE HAS BEEN GENERATED AUTOMATICALLY.
 */

public class CoreComm implements SchemaLoader {

  /** Namespace URI of this schema */
  public static final String NS = "http://www-diglib.stanford.edu/diglib/ginf/1999/05/26-core-comm";

  /** This resource represents a service, a client etc.,
		in general, some entity able to process communication messages. */
  public static final Resource ProcessingEntity = new Resource(NS + "#ProcessingEntity");

  /** A human readable error description */
  public static final Resource errorMessage = new Resource(NS + "#errorMessage");

  /** A successful reply to an information request */
  public static final Resource SuccessfulReply = new Resource(NS + "#SuccessfulReply");

  /** A warning can be attached to any Message */
  public static final Resource warning = new Resource(NS + "#warning");

  /** Identifies the sender of the message */
  public static final Resource from = new Resource(NS + "#from");

  /** A reply to an information request */
  public static final Resource Reply = new Resource(NS + "#Reply");

  /** An error delivered to an information request */
  public static final Resource Error = new Resource(NS + "#Error");

  /** An abstract property attached to a message.
		Extend it to provide your own delivery information. */
  public static final Resource deliveryInfo = new Resource(NS + "#deliveryInfo");

  /** A request for information */
  public static final Resource Request = new Resource(NS + "#Request");

  /** The most general message */
  public static final Resource Message = new Resource(NS + "#Message");

  /** Identifies the recipient of the message */
  public static final Resource to = new Resource(NS + "#to");

  /** Identifies the original request */
  public static final Resource inReplyTo = new Resource(NS + "#inReplyTo");


  static final String _schemaData = "<?xml version='1.0' encoding='ISO-8859-1'?>"+
	"<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\""+
	"	 xmlns:s=\"http://www.w3.org/TR/WD-rdf-schema#\">"+
	"<s:Class rdf:ID=\"Error\">"+
	"	<s:subClassOf rdf:resource=\"#Reply\"/>"+
	"</s:Class>"+
	"<s:Class rdf:ID=\"Message\"/>"+
	"<s:Class rdf:ID=\"ProcessingEntity\"/>"+
	"<s:Class rdf:ID=\"Reply\">"+
	"	<s:subClassOf rdf:resource=\"#Message\"/>"+
	"</s:Class>"+
	"<s:Class rdf:ID=\"Request\">"+
	"	<s:subClassOf rdf:resource=\"#Message\"/>"+
	"</s:Class>"+
	"<s:Class rdf:ID=\"SuccessfulReply\">"+
	"	<s:subClassOf rdf:resource=\"#Reply\"/>"+
	"</s:Class>"+
	"<rdf:Property rdf:ID=\"deliveryInfo\">"+
	"	<s:domain rdf:resource=\"#Message\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"errorMessage\">"+
	"	<s:domain rdf:resource=\"#Error\"/>"+
	"	<s:range rdf:resource=\"http://www.w3.org/TR/WD-rdf-schema#Literal\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"from\">"+
	"	<s:domain rdf:resource=\"#Message\"/>"+
	"	<s:range rdf:resource=\"#ProcessingEntity\"/>"+
	"	<s:subPropertyOf rdf:resource=\"#deliveryInfo\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"inReplyTo\">"+
	"	<s:domain rdf:resource=\"#Reply\"/>"+
	"	<s:range rdf:resource=\"#Request\"/>"+
	"	<s:subPropertyOf rdf:resource=\"#deliveryInfo\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"to\">"+
	"	<s:domain rdf:resource=\"#Message\"/>"+
	"	<s:range rdf:resource=\"#ProcessingEntity\"/>"+
	"	<s:subPropertyOf rdf:resource=\"#deliveryInfo\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"warning\">"+
	"	<s:domain rdf:resource=\"#Message\"/>"+
	"</rdf:Property>"+
	"</rdf:RDF>"+
	"";

  public boolean loadSchema(String uri, RDFFactory factory) {
    if(NS.equals(uri)) {
      InputSource source = new InputSource( new StringReader( _schemaData ) );
      source.setSystemId(NS);
      factory.registry().fetch(source);
      return true;
    } else
      return false;
  }

}
