package org.ginf.schemas;

import org.ginf.*;
import org.ginf.helpers.*;
import org.w3c.rdf.*;
import org.xml.sax.*;
import java.io.*;

/**
 * This class provides handy access to schema information.
 * THIS FILE HAS BEEN GENERATED AUTOMATICALLY.
 */

public class RDF implements SchemaLoader {

  /** Namespace URI of this schema */
  public static final String NS = "http://www.w3.org/1999/02/22-rdf-syntax-ns";

  /** Identifies the property used in a statement when representing the statement in reified form */
  public static final Resource predicate = new Resource(NS + "#predicate");

  /** Identifies the Class of a resource */
  public static final Resource type = new Resource(NS + "#type");

  /** Identifies the object of a statement when representing the statement in reified form */
  public static final Resource object = new Resource(NS + "#object");

  /** A name of a property, defining specific meaning for the property */
  public static final Resource Property = new Resource(NS + "#Property");

  /** Identifies the principal value (usually a string) of a property when the property value is a structured resource */
  public static final Resource value = new Resource(NS + "#value");

  /** A triple consisting of a predicate, a subject, and an object. */
  public static final Resource Statement = new Resource(NS + "#Statement");

  /** Identifies the resource that a statement is describing when representing the statement in reified form */
  public static final Resource subject = new Resource(NS + "#subject");

  /** A collection of alternatives */
  public static final Resource Alt = new Resource(NS + "#Alt");

  /** An unordered collection */
  public static final Resource Bag = new Resource(NS + "#Bag");

  /** An ordered collection */
  public static final Resource Seq = new Resource(NS + "#Seq");


  static final String _schemaData = "<?xml version='1.0' encoding='ISO-8859-1'?>"+
	"<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\""+
	"	 xmlns:s=\"http://www.w3.org/TR/WD-rdf-schema#\">"+
	"<s:Class rdf:ID=\"Alt\"/>"+
	"<s:Class rdf:ID=\"Bag\"/>"+
	"<s:Class rdf:ID=\"Property\"/>"+
	"<s:Class rdf:ID=\"Seq\"/>"+
	"<s:Class rdf:ID=\"Statement\"/>"+
	"<rdf:Property rdf:ID=\"object\"/>"+
	"<rdf:Property rdf:ID=\"predicate\">"+
	"	<s:range rdf:resource=\"#Property\"/>"+
	"	<s:domain rdf:resource=\"#Statement\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"subject\">"+
	"	<s:domain rdf:resource=\"#Statement\"/>"+
	"</rdf:Property>"+
	"<rdf:Property rdf:ID=\"type\"/>"+
	"<rdf:Property rdf:ID=\"value\"/>"+
	"</rdf:RDF>"+
	"";

  public boolean loadSchema(String uri, RDFFactory factory) {
    if(NS.equals(uri)) {
      InputSource source = new InputSource( new StringReader( _schemaData ) );
      source.setSystemId(NS);
      factory.registry().fetch(source);
      return true;
    } else
      return false;
  }

}
